#include "TranslateCodeCurrency.h"

#include <QObject>

TranslateCodeCurrency::TranslateCodeCurrency(){
    listCodes = {
        {"AED",QObject::tr("UAE Dirham")},
        {"AFA",QObject::tr("Afghani")},
        {"AFN",QObject::tr("Afghani")},
        {"ALL",QObject::tr("Albanian Lek")},
        {"AMD",QObject::tr("Armenian Dram")},
        {"AON",QObject::tr("Angolan new Kwanza")},
        {"ARS",QObject::tr("Argentine Peso")},
        {"ATS",QObject::tr("Austrian Schilling")},
        {"AUD",QObject::tr("Australian Dollar")},
        {"AZM",QObject::tr("Azerbaijanian Manat")},
        {"AZN",QObject::tr("Azerbaijanian Manat")},
        {"BDT",QObject::tr("Така")},
        {"BEF",QObject::tr("Belgian Franc")},
        {"BGL",QObject::tr("Bulgarian Lev")},
        {"BGN",QObject::tr("Bulgarian lev")},
        {"BRL",QObject::tr("Brazilian Real")},
        {"BYN",QObject::tr("Belarussian Ruble")},
        {"CAD",QObject::tr("Canadian Dollar")},
        {"CHF",QObject::tr("Swiss Franc")},
        {"CLP",QObject::tr("Chilean Peso")},
        {"CNY",QObject::tr("China Yuan")},
        {"COP",QObject::tr("Colombian Peso")},
        {"CYP",QObject::tr("Cyprus Pound")},
        {"CZK",QObject::tr("Czech Koruna")},
        {"DEM",QObject::tr("Deutsche Mark")},
        {"DKK",QObject::tr("Danish Krone")},
        {"DZD",QObject::tr("Algerian Dinar")},
        {"EEK",QObject::tr("Estonian Crona")},
        {"EGP",QObject::tr("Egyptian Pound")},
        {"ESP",QObject::tr("Spanish Peseta")},
        {"ETB",QObject::tr("Ethiopian Birr")},
        {"EUR",QObject::tr("Euro")},
        {"FIM",QObject::tr("Finnish Marka")},
        {"FRF",QObject::tr("French Franc")},
        {"GBP",QObject::tr("British Pound Sterling")},
        {"GEK",QObject::tr("Georgian coupon")},
        {"GEL",QObject::tr("Georgian Lari")},
        {"GRD",QObject::tr("Greek Drachma")},
        {"HKD",QObject::tr("Hong Kong Dollar")},
        {"HRK",QObject::tr("Croatian Kuna")},
        {"HUF",QObject::tr("Hungarian Forint")},
        {"IDR",QObject::tr("Rupiah")},
        {"IEP",QObject::tr("Irish Pound")},
        {"ILS",QObject::tr("New Israeli Sheqel")},
        {"INR",QObject::tr("Indian Rupee")},
        {"IQD",QObject::tr("Iraqi Dinar")},
        {"IRR",QObject::tr("Iranian Rial")},
        {"ISK",QObject::tr("Iceland Krona")},
        {"ITL",QObject::tr("Italian Lira")},
        {"JOD",QObject::tr("Jordanian Dinar")},
        {"JPY",QObject::tr("Japanese Yen")},
        {"KES",QObject::tr("Kenyan Shilling")},
        {"KGS",QObject::tr("Kyrgyzstan Som")},
        {"KRW",QObject::tr("South Korean Won")},
        {"KWD",QObject::tr("Kuwaiti Dinar")},
        {"KZT",QObject::tr("Kazakhstan Tenge")},
        {"LAK",QObject::tr("Lao Kip")},
        {"LBP",QObject::tr("Lebanese Pound")},
        {"LKR",QObject::tr("Sri Lankan Rupee")},
        {"LTL",QObject::tr("Lithuanian Lit")},
        {"LUF",QObject::tr("Luxembourg Franc")},
        {"LVL",QObject::tr("Latvian Lat")},
        {"LYD",QObject::tr("Libyan Dinar")},
        {"MAD",QObject::tr("Moroccan Diram")},
        {"MDL",QObject::tr("Moldova Lei")},
        {"MKD",QObject::tr("Denar")},
        {"MNT",QObject::tr("Tugrik")},
        {"MXN",QObject::tr("Mexican Nuevo Peso")},
        {"MYR",QObject::tr("Malaysian Ringgit")},
        {"NGN",QObject::tr("Naira")},
        {"NLG",QObject::tr("Netherlands Guilder")},
        {"NOK",QObject::tr("Norwegian Krone")},
        {"NPR",QObject::tr("Nepalese Rupee")},
        {"NZD",QObject::tr("New Zealand Dollar")},
        {"PEN",QObject::tr("Nuevo Sol")},
        {"PHP",QObject::tr("Philippine Peso")},
        {"PKR",QObject::tr("Pakistan Rupee")},
        {"PLN",QObject::tr("Polish Zloty")},
        {"PLZ",QObject::tr("Polish Zloty")},
        {"PTE",QObject::tr("Portuguese Escudo")},
        {"ROL",QObject::tr("Romanian Leu")},
        {"RON",QObject::tr("New romanian Leu")},
        {"RSD",QObject::tr("Serbian Dinar")},
        {"RUB",QObject::tr("Russian Ruble")},
        {"RUR",QObject::tr("Russian Ruble")},
        {"SAR",QObject::tr("Saudi Riyal")},
        {"SDD",QObject::tr("Sudanese Dinar")},
        {"SDG",QObject::tr("Sudanese Pound")},
        {"SEK",QObject::tr("Swedish Krona")},
        {"SGD",QObject::tr("Singapore Dollar")},
        {"SIT",QObject::tr("Slovenian Tolar")},
        {"SKK",QObject::tr("Slovak Koruna")},
        {"SRD",QObject::tr("Surinam Dollar")},
        {"SYP",QObject::tr("Syrian Pound")},
        {"THB",QObject::tr("Baht")},
        {"TJR",QObject::tr("Tajikistan Ruble")},
        {"TJS",QObject::tr("Tajikistan Ruble")},
        {"TMM",QObject::tr("Turkmenistan Manat")},
        {"TMT",QObject::tr("New Turkmenistan Manat")},
        {"TND",QObject::tr("Tunisian Dinar")},
        {"TRL",QObject::tr("Turkish Lira")},
        {"TRY",QObject::tr("New Turkish Lira")},
        {"TWD",QObject::tr("New Taiwan Dollar")},
        {"UAH",QObject::tr("Ukrainian Hryvnia")},
        {"UAK",QObject::tr("Karbovanet")},
        {"USD",QObject::tr("US Dollar")},
        {"UYU",QObject::tr("Peso Uruguayo")},
        {"UZS",QObject::tr("Uzbekistan Sum")},
        {"VEB",QObject::tr("Bolivar Fuerte")},
        {"VEF",QObject::tr("Bolivar Fuerte")},
        {"VES",QObject::tr("Bolivar Soberano")},
        {"VND",QObject::tr("Dong")},
        {"XAG",QObject::tr("Silver")},
        {"XAU",QObject::tr("Gold")},
        {"XPD",QObject::tr("Palladium")},
        {"XPT",QObject::tr("Platinum")},
        {"XDR",QObject::tr("SDR (Special Drawing Rights)")},
        {"XEU",QObject::tr("ECU")},
        {"YUN",QObject::tr("Yugoslavian Dinar")},
        {"ZAR",QObject::tr("S.African Rand")}
    };

}

QString TranslateCodeCurrency::CodeToString(QString code){
    if (listCodes.contains(code)==false) return code;

    return listCodes[code];
}

QStringList TranslateCodeCurrency::getAllCodes(){
    QStringList result;

    QMapIterator<QString, QString> i(listCodes);
    while (i.hasNext()) {
        i.next();
        result.push_back(i.key());
    }

    return result;
}
